"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AudioConsole = void 0;
const inquirer = require("inquirer");
const nestjs_console_1 = require("nestjs-console");
const pulseaudio_service_1 = require("../services/pulseaudio.service");
let AudioConsole = class AudioConsole {
    constructor(pulseAudioService) {
        this.pulseAudioService = pulseAudioService;
    }
    async listDevices() {
        const sinks = this.pulseAudioService.listSinks();
        const sinksChoices = sinks.map(sink => ({
            name: `${sink.id} - ${sink.name}`,
            value: sink.id
        }));
        const { outputDevice } = await inquirer.prompt([
            {
                type: 'list',
                name: 'outputDevice',
                message: '🔊 Choose ouput audio device:',
                choices: sinksChoices
            }
        ]);
        this.pulseAudioService.setDefaultOutput(outputDevice);
    }
    async setDefaultOuput(id) {
        try {
            this.pulseAudioService.setDefaultOutput(id);
            console.log('Output default device changed to ' + id);
        }
        catch (error) {
            console.error('Error: ' + error.message);
        }
    }
};
__decorate([
    nestjs_console_1.Command({
        command: 'choose-ouput',
        alias: 'co',
        description: 'Choose default ouput audio device'
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], AudioConsole.prototype, "listDevices", null);
__decorate([
    nestjs_console_1.Command({
        command: 'set-ouput <id>',
        alias: 'so',
        description: 'Set default output audio device'
    }),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], AudioConsole.prototype, "setDefaultOuput", null);
AudioConsole = __decorate([
    nestjs_console_1.Console({
        name: 'audio',
        alias: 'a',
        description: 'Control output and input audio devices'
    }),
    __metadata("design:paramtypes", [pulseaudio_service_1.PulseAudioService])
], AudioConsole);
exports.AudioConsole = AudioConsole;
//# sourceMappingURL=audio.console.js.map