"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSinkLine = void 0;
function parseSinkLine(line) {
    const lineParts = line.split(',');
    const id = matchFirstOcurrence(lineParts, /ID: sink-(\d+)/i);
    return id
        ? {
            id,
            name: matchFirstOcurrence(lineParts, /Name:(.*)/)
        }
        : null;
}
exports.parseSinkLine = parseSinkLine;
function matchFirstOcurrence(lineParts, regex) {
    for (const part of lineParts) {
        const matches = part.match(regex);
        if (matches) {
            return matches[1].trim();
        }
    }
}
//# sourceMappingURL=parse-sink-line.helper.js.map