"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PulseAudioService = void 0;
const common_1 = require("@nestjs/common");
const child_process_1 = require("child_process");
const parse_sink_line_helper_1 = require("../helpers/parse-sink-line.helper");
const path_1 = require("path");
let PulseAudioService = class PulseAudioService {
    constructor() {
        this.pulseMixerPath = path_1.join(__dirname, '../../../external/pulsemixer');
    }
    listSinks() {
        const lines = this.exec('--list-sinks')
            .toString()
            .split('\n');
        return lines.map(line => parse_sink_line_helper_1.parseSinkLine(line)).filter(Boolean);
    }
    setDefaultOutput(deviceId) {
        return child_process_1.execSync(`pactl set-default-sink ${deviceId}`);
    }
    exec(commandArgs = '') {
        return child_process_1.execSync(`${this.pulseMixerPath} ` + commandArgs);
    }
};
PulseAudioService = __decorate([
    common_1.Injectable()
], PulseAudioService);
exports.PulseAudioService = PulseAudioService;
//# sourceMappingURL=pulseaudio.service.js.map